Subject: Re: [IPP] Updated IPP Everywhere v1.1 draft posted

From: "Kennedy, Smith (Wireless & Standards Architect)" <[email-masked]>
Date: Wed, 14 Nov 2018 20:01:19 +0000

Hi there,

This is a "ping" / SYN to keep the thread alive so we get closure on the questions this thread opened.

Smith

/**
    Smith Kennedy
    Wireless & Standards Architect - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB-IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

> On Aug 25, 2018, at 9:25 AM, Ira McDonald <[email-masked]> wrote:
> 
> Hi Mike,
> 
> A good question.
> 
> Because it's a minor version release, we're not adding any new REQUIRED
> stuff.  We're actually removing some stuff and adding new RECOMMENDED
> stuff.
> 
> On reflection, I don't think the new feature keyword is appropriate.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Co-Chair - TCG Trusted Mobility Solutions WG
> Chair - Linux Foundation Open Printing WG
> Secretary - IEEE-ISTO Printer Working Group
> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music / High North Inc
> http://sites.google.com/site/blueroofmusic <https://protect-us.mimecast.com/s/91CRC4xw7wuJ9VwDsO7sLs?domain=sites.google.com>
> http://sites.google.com/site/highnorthinc <https://protect-us.mimecast.com/s/BXnqC5yx5xs0pJrXIOMiSy?domain=sites.google.com>
> mailto: [email-masked] <mailto:[email-masked]>
> Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
> May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434
> 
> 
> 
> On Sat, Aug 25, 2018 at 7:10 AM Michael Sweet <[email-masked] <mailto:[email-masked]>> wrote:
> Smith/Ira,
> 
> If we *do* add a ‘ipp-everywhere-1.1’ value, what will it mean? It’s not like the conformance requirements are getting higher...
> 
> Sent from my iPhone
> 
> On Aug 24, 2018, at 1:23 PM, Ira McDonald <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Hi,
>> 
>> I agree with all of Smith's recommendations.
>> 
>> I agree that we should leave out "job-password-repertoire" for now in IPP EW v1.1
>> (and probably forever, because I'm not comfortable with its usefulness for Clients).
>> 
>> Cheers,
>> - Ira
>> 
>> Ira McDonald (Musician / Software Architect)
>> Co-Chair - TCG Trusted Mobility Solutions WG
>> Chair - Linux Foundation Open Printing WG
>> Secretary - IEEE-ISTO Printer Working Group
>> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
>> IETF Designated Expert - IPP & Printer MIB
>> Blue Roof Music / High North Inc
>> http://sites.google.com/site/blueroofmusic <https://protect-us.mimecast.com/s/91CRC4xw7wuJ9VwDsO7sLs?domain=sites.google.com>
>> http://sites.google.com/site/highnorthinc <https://protect-us.mimecast.com/s/BXnqC5yx5xs0pJrXIOMiSy?domain=sites.google.com>
>> mailto: [email-masked] <mailto:[email-masked]>
>> Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
>> May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434
>> 
>> 
>> 
>> On Fri, Aug 24, 2018 at 12:59 PM Kennedy, Smith (Wireless & Standards Architect) <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>>> On Aug 24, 2018, at 8:06 AM, Michael Sweet <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> All,
>>> 
>>> I have posted an updated prototype draft of the IPP Everywhere v1.1 specification to:
>>> 
>>> https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve11-20180824.docx <https://protect-us.mimecast.com/s/6bdqC68y5yIo0N4pImTraT?domain=ftp.pwg.org>
>>> https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve11-20180824.pdf <https://protect-us.mimecast.com/s/AhFkC73z5zumVgB8uN-Y9v?domain=ftp.pwg.org>
>>> https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve11-20180824-rev.pdf <https://protect-us.mimecast.com/s/ZU96C82A5AhjPGy2Io3KQY?domain=ftp.pwg.org>
>>> 
>>> As noted in a prior email, we have a few outstanding issues to discuss:
>>> 
>>> - Should we add recommended attributes?
>> 
>> In general, yes.
>> 
>>> "job-password-repertoire"
>> 
>> I'd vote "No" to this one since we might be revisiting job passwords in JPS2v2.
>> 
>>> , "jpeg-features-supported", "jpeg-k-octets-supported", "jpeg-x-dimension-supported", "jpeg-y-dimension-supported", "pdf-features-supported", "pdf-k-octets-supported", and "pdf-versions-supported"
>> 
>> I'd vote "Yes" to all of these.
>> 
>>> - Should we add an 'ipp-everywhere-1.1' value for "ipp-features-supported"?
>> 
>> I'd vote "Yes".
>> 
>>> - Should we address/update paid/managed printing (use of Get-User-Printer-Attributes, attributes/values needed for paid/managed printing)
>> 
>> I'd vote "Yes" for these updates too.
>> 
>>> 
>>> _________________________________________________________
>>> Michael Sweet, Senior Printing System Engineer
>>> 
>>> _______________________________________________
>>> ipp mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.pwg.org/mailman/listinfo/ipp <https://protect-us.mimecast.com/s/DI4GC9rB5BFmN0wlu1VES1?domain=pwg.org>
>> 
>> _______________________________________________
>> ipp mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.pwg.org/mailman/listinfo/ipp <https://protect-us.mimecast.com/s/DI4GC9rB5BFmN0wlu1VES1?domain=pwg.org>

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp